#-------------------------------------------------------------
# Generated Example Tcl script for IP 'dma_on_demand_memory' (xilinx.com:ip:blk_mem_gen:8.0)
#-------------------------------------------------------------

# Create project
create_project -name dma_on_demand_memory_example -force
set_property part xc7k410tfbg676-2 [current_project]
set_property target_language vhdl [current_project]

# Import the original IP
import_ip -files {c:/RedRapids/SigFPGA/ip/vivado/dma_on_demand_memory/dma_on_demand_memory.xci} -name dma_on_demand_memory

# Generate the IP
reset_target {all} [get_ips dma_on_demand_memory]
proc _filter_supported_targets {targets ip} { set all [get_property SUPPORTED_TARGETS $ip]; set res {}; foreach a_target $targets { lappend res {*}[lsearch -all -inline -nocase $all $a_target] }; return $res }
generate_target [_filter_supported_targets {instantiation_template synthesis simulation} [get_ips dma_on_demand_memory]] [get_ips dma_on_demand_memory]

# Add example synthesis HDL files
add_files -scan_for_includes -fileset [current_fileset] { {c:/RedRapids/SigFPGA/ip/vivado/dma_on_demand_memory/dma_on_demand_memory/example_design/dma_on_demand_memory_exdes.vhd} }

# Add example XDC files
add_files -fileset [current_fileset -constrset] { {c:/RedRapids/SigFPGA/ip/vivado/dma_on_demand_memory/dma_on_demand_memory/example_design/dma_on_demand_memory_exdes.xdc} }

# Add example simulation files
if { [catch {current_fileset -simset} exc] } {
  # Create default simset
  create_fileset -simset sim_1
}
add_files -scan_for_includes -fileset [current_fileset -simset] { {c:/RedRapids/SigFPGA/ip/vivado/dma_on_demand_memory/dma_on_demand_memory/simulation/bmg_tb_pkg.vhd} } { {c:/RedRapids/SigFPGA/ip/vivado/dma_on_demand_memory/dma_on_demand_memory/simulation/random.vhd} } { {c:/RedRapids/SigFPGA/ip/vivado/dma_on_demand_memory/dma_on_demand_memory/simulation/addr_gen.vhd} } { {c:/RedRapids/SigFPGA/ip/vivado/dma_on_demand_memory/dma_on_demand_memory/simulation/data_gen.vhd} } { {c:/RedRapids/SigFPGA/ip/vivado/dma_on_demand_memory/dma_on_demand_memory/simulation/checker.vhd} } { {c:/RedRapids/SigFPGA/ip/vivado/dma_on_demand_memory/dma_on_demand_memory/simulation/bmg_stim_gen.vhd} } { {c:/RedRapids/SigFPGA/ip/vivado/dma_on_demand_memory/dma_on_demand_memory/simulation/dma_on_demand_memory_synth.vhd} } { {c:/RedRapids/SigFPGA/ip/vivado/dma_on_demand_memory/dma_on_demand_memory/simulation/dma_on_demand_memory_tb.vhd} }

# Import all files while preserving hierarchy
import_files

# Set top
set_property TOP [lindex [find_top] 0] [current_fileset]

